Create a business
POST
/tenants
const url = 'https://example.com/tenants';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"Acme Gas","signupCode":"example","plan":"starter"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/tenants \ --header 'Content-Type: application/json' \ --data '{ "name": "Acme Gas", "signupCode": "example", "plan": "starter" }'Creates the tenant and makes you its owner. While tenant creation is invite only, a valid signup code is required; registering an account is always open, so an invited driver can join without one.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
Example
Acme GassignupCode
string
plan
string
Responses
Section titled “Responses”Created
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
name
required
string
slug
required
string
createdAt
required
string format: date-time
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "name": "Acme Gas", "slug": "acme-gas"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Email not confirmed, or a missing or spent signup code
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}